import request from '@/utils/request'

export function queryList(query) {
  return request({
    url: '/dk/attendanceGroup/list',
    method: 'get',
    params: query
  })
}

export function queryAttendanceGroup() {
  return request({
    url: '/dk/attendanceGroup/queryAttendanceGroup/',
    method: 'get'
  })
}

export function queryArea(query) {
  return request({
    url: '/dk/config/list',
    method: 'get',
    params: query
  })
}

export function add(data) {
  return request({
    url: '/dk/attendanceGroup/add',
    method: 'post',
    data: data
  })
}

export function update(data) {
  return request({
    url: '/system/attendanceGroup/update',
    method: 'put',
    data: data
  })
}

export function del(id) {
  return request({
    url: '/dk/attendanceGroup/del/' + id,
    method: 'delete'
  })
}
